import { Instance, Project, MetaData, RecorderConfig, DiagnosticsResult } from "./types";
export default interface ApplicationSource {
    readInstances(): Promise<Instance[]>;
    readProjects(instanceId: string): Promise<Project[]>;
    readMetaData(instanceName: string, projectId: string): Promise<MetaData>;
    readRecorderConfig(instanceName: string): Promise<RecorderConfig>;
    saveRecorderConfiguration(instanceName: string, config: RecorderConfig): Promise<any>;
    diagnoseExtension(instanceName: any): Promise<DiagnosticsResult>;
    createTestCase(instanceName: any, data: any): Promise<any>;
}
