export interface Record {
    id: string;
    name: string;
}
export interface Instance extends Record {
}
export interface Project extends Record {
}
export interface TestSuite extends Record {
}
export interface Authorization extends Record {
}
export interface Version extends Record {
}
export interface Tag extends Record {
}
export interface MetaData {
    authorizations: Authorization[];
    tags: Tag[];
    testSuites: TestSuite[];
    versions: Version[];
}
export interface RecorderConfig {
    selectedProjectId: string;
    selectedAuthorizationId: string;
    selectedVersionId: string;
    selectedTags: string;
    selectedTestSuiteId: string;
    requestTypeFilters: any;
    selectedRequestFilters: any;
    includePatterns: any;
}
export interface DiagnosticsError {
    message: string;
    suggestion: string;
}
export interface DiagnosticsResult {
    info?: string;
    errors?: DiagnosticsError[];
    error?: string;
}
